import pandas as pd
from matplotlib import pyplot as plt
import seaborn as sns
import numpy as np

df = pd.read_csv('earth_quakes.csv')

group_df = df.groupby(df['date']).count()
group_df.describe() # получаем стат. показатели, видим максимальное значение 42
group_df.loc[group_df['time']==42]

df1 = df['depth']
average_depth = df1.sum()/df1.count() # cредняя глубина землетрясения
print(average_depth)

df2 = df['mag']
print(df2.quantile(.25)) # 25 квантиль магнитуды
print(df2.quantile(.42)) # 42 квантиль магнитуды

#нахождение самого популярного значения place
df3 = df.groupby(df['place']).count()
df3.describe() #получаем максимальное значение 349
df3.loc[df3['place'] == 349] #видим Вануату

# Построение графиков
sns.distplot(df['depth'], kde=False, label = 'Распределение глубины землетрясений')
plt.show() #график распределения глубины землетрясений


